yaz-json-parse
Prev | Reference | Next

## Name

yaz-json-parse — YAZ JSON parser

## Synopsis

`yaz-json-parse` [-p]

## DESCRIPTION

yaz-json-parse is a utility which demonstrates the JSON API of YAZ. (`yaz/json.h`).

The program attempts to parse a JSON from standard input (stdin). It will return exit code 1 if parsing fails and the parsing error message will be printed to standard error (stderr). The program returns exit code 0 if parsing succeeds, and returns no output unless -p is given (see below).

## OPTIONS

-p

  Makes the JSON parser echo the JSON result string to standard output, if parsing from stdin was successful. If -p is given twice, then the output is a multi-line output with indentation (pretty print).

## SEE ALSO

yaz(7)

Prev | Up | Next
Bib-1 Attribute Set | Home | Appendix A. List of Object Identifiers